## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanDOMString.hpp File Reference

Include dependency graph for XalanDOMString.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds

- class XalanDOMString::TranscodingError
- class XalanDOMString

## Defines

- #define XALANDOMSTRING_HEADER_GUARD_1357924680

## Typedefs

- typedef std::vector<XalanDOMChar> XalanDOMCharVectorType
- typedef std::vector<char> CharVectorType

## Functions

- bool operator== ( const XalanDOMString& theLHS, const XalanDOMString& theRHS)
- bool operator== ( const XalanDOMString& theLHS, const XalanDOMChar* theRHS)
- bool operator== ( const XalanDOMChar* theLHS, const XalanDOMString& theRHS)
- bool operator!= ( const XalanDOMString& theLHS, const XalanDOMString& theRHS)
- bool operator!= ( const XalanDOMChar* theLHS, const XalanDOMString& theRHS)
- bool operator!= ( const XalanDOMString& theLHS, const XalanDOMChar* theRHS)
- XalanDOMString operator+ ( const XalanDOMString& theLHS, const XalanDOMString& theRHS)
- XalanDOMString operator+ ( const XalanDOMString& theLHS, const XalanDOMChar* theRHS)
- XalanDOMString operator+ ( const XalanDOMChar* theLHS, const XalanDOMString& theRHS)
- const XalanDOMString operator+ ( const char* theLHS, const XalanDOMString& theRHS)
- const XalanDOMString operator+ ( const XalanDOMString& theLHS, const char* theRHS)
- XALAN_DOM_EXPORT_FUNCTION (bool) TranscodeToLocalCodePage( const XalanDOMChar* theSourceString, XalanDOMString
    Convert a XalanDOMChar string to C++ standard library vector, transcoding to the default local code page. More...
- bool TranscodeToLocalCodePage ( const XalanDOMString& theSourceString, CharVectorType& targetVector, bool terminate = false)
    Convert XalanDOMString to C++ standard library vector, transcoding to the default local code page. More...
- const CharVectorType TranscodeToLocalCodePage (const XalanDOMString& theSourceString)
    Convert XalanDOMString to C++ standard library vector, transcoding to the default local code page. More...
- const XalanDOMString TranscodeFromLocalCodePage ( const char* theSourceString, XalanDOMString::size_type theSourceStringLength = XalanDOMString::npos)
    Convert a string to a XalanDOMString, transcoding from the default local code page. More...

## Variables

- XALAN_CPP_NAMESPACE_BEGIN
  typedef unsigned short XalanDOMChar

## Define Documentation

#define XALANDOMSTRING_HEADER_GUARD_1357924680

## Typedef Documentation

typedef std::vector<char> CharVectorType

typedef std::vector<XalanDOMChar> XalanDOMCharVectorType

## Function Documentation

const XalanDOMString TranscodeFromLocalCodePage ( | const char * theSourceString,
| XalanDOMString::size_type theSourceStringLength = XalanDOMString::npos )`[]`

Convert a string to a XalanDOMString, transcoding from the default local code page.

Parameters:

  theSourceString | The source string
  theSourceStringLength | The source string length.

Returns:
  The new string.

const CharVectorType TranscodeToLocalCodePage ( | const XalanDOMString & theSourceString )`[]`

Convert XalanDOMString to C++ standard library vector, transcoding to the default local code page.

Parameters:

  thetheSourceString | source string

Returns:
  The transcoded string.

bool TranscodeToLocalCodePage ( | const XalanDOMString & theSourceString,
| CharVectorType & targetVector,
| bool terminate = false )`[]`

Convert XalanDOMString to C++ standard library vector, transcoding to the default local code page.

Parameters:

  theSourceString | The source string
  targetVector | The target string

Returns:
  true if successful, false if not.

XALAN_DOM_EXPORT_FUNCTION ( | bool ) const

Convert a XalanDOMChar string to C++ standard library vector, transcoding to the default local code page.

Parameters:

  sourceString | The source string
  sourceStringLength | The source string length.
  targetVector | The target string
  terminate | If true, the transcoded string will be null-terminated

Returns:
  true if successful, false if not.

bool operator!= ( | const XalanDOMString & theLHS,
| const XalanDOMChar * theRHS )`[]`

bool operator!= ( | const XalanDOMChar * theLHS,
| const XalanDOMString & theRHS )`[]`

bool operator!= ( | const XalanDOMString & theLHS,
| const XalanDOMString & theRHS )`[]`

const XalanDOMString operator+ ( | const XalanDOMString & theLHS,
| const char * theRHS )`[]`

const XalanDOMString operator+ ( | const char * theLHS,
| const XalanDOMString & theRHS )`[]`

XalanDOMString operator+ ( | const XalanDOMChar * theLHS,
| const XalanDOMString & theRHS )`[]`

XalanDOMString operator+ ( | const XalanDOMString & theLHS,
| const XalanDOMChar * theRHS )`[]`

XalanDOMString operator+ ( | const XalanDOMString & theLHS,
| const XalanDOMString & theRHS )`[]`

bool operator== ( | const XalanDOMChar * theLHS,
| const XalanDOMString & theRHS )`[]`

bool operator== ( | const XalanDOMString & theLHS,
| const XalanDOMChar * theRHS )`[]`

bool operator== ( | const XalanDOMString & theLHS,
| const XalanDOMString & theRHS )`[]`

## Variable Documentation

XALAN_CPP_NAMESPACE_BEGIN typedef unsigned short XalanDOMChar

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.